com.genesyslab.wfm7.API.service.config750

## Class CfgActivity

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config750.CfgActivity

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgActivity
      extends java.lang.Object
      implements java.io.Serializable

  Activity information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `timestamp` A timestamp value -- marks point in time when Object information was obtained
    `private int` | `wmActivityId` Activity ID
    `private int` | `wmActivitySetId` Activity Set ID `CfgActivitySet` that Activity belongs to.
    `private CfgActivitySkill[]` | `wmActivitySkills` An array of Activity Skills (`CfgActivitySkill`)
    `private int` | `wmActivitySkillsNSizeIs` Number of elements in wmActivitySkills array
    `private double` | `wmDeletedDateTime`
    `private int` | `wmMaxSimultUsers` Maximum Simultanious Users allowed to work on Activity
    `private int` | `wmMinStaffing` Minimum Staffing
    `private int` | `wmMinStaffingType` Type of Minimum Staffing `ECfgActivityStaffingType`
    `private java.lang.String` | `wmName` Name of Activity
    `private CfgActivityHours[]` | `wmOpenHours` An array containing Activity Open Hours (CfgActivityHours) for every day of the week, where array index 0 - Mon, 1 - Tue, 2 - Wed, 3 - Thu, 4 - Fri, 5 - Sat, 6 - Sun
    `private java.lang.String` | `wmShortName` Short Name of Activity
    `private int` | `wmSiteId` Site ID that Activity belongs to
    `private int` | `wmType` Activity Type (`ECfgActivityType`)
    `private int` | `wmVirtualActivityId` Multi-Site Activity ID (`CfgVirtualActivity`) that Activity belongs to.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgActivity()`
    `CfgActivity(int wmActivityId, int wmSiteId, int wmVirtualActivityId, int wmActivitySetId, java.lang.String wmName, java.lang.String wmShortName, double wmDeletedDateTime, int wmType, int wmMaxSimultUsers, int wmMinStaffing, CfgActivityHours[] wmOpenHours, int wmActivitySkillsNSizeIs, CfgActivitySkill[] wmActivitySkills, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()` Gets the timestamp value for this CfgActivity.
    `int` | `getWmActivityId()` Gets the wmActivityId value for this CfgActivity.
    `int` | `getWmActivitySetId()` Gets the wmActivitySetId value for this CfgActivity.
    `CfgActivitySkill[]` | `getWmActivitySkills()` Gets the wmActivitySkills value for this CfgActivity.
    `int` | `getWmActivitySkillsNSizeIs()` Gets the wmActivitySkillsNSizeIs value for this CfgActivity.
    `double` | `getWmDeletedDateTime()` Gets the wmDeletedDateTime value for this CfgActivity.
    `int` | `getWmMaxSimultUsers()` Gets the wmMaxSimultUsers value for this CfgActivity.
    `int` | `getWmMinStaffing()` Gets the wmMinStaffing value for this CfgActivity.
    `int` | `getWmMinStaffingType()` Gets the wmMinStaffingType value for this CfgActivity.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgActivity.
    `CfgActivityHours[]` | `getWmOpenHours()` Gets the wmOpenHours value for this CfgActivity.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this CfgActivity.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgActivity.
    `int` | `getWmType()` Gets the wmType value for this CfgActivity.
    `int` | `getWmVirtualActivityId()` Gets the wmVirtualActivityId value for this CfgActivity.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgActivity.
    `void` | `setWmActivityId(int wmActivityId)` Sets the wmActivityId value for this CfgActivity.
    `void` | `setWmActivitySetId(int wmActivitySetId)` Sets the wmActivitySetId value for this CfgActivity.
    `void` | `setWmActivitySkills(CfgActivitySkill[] wmActivitySkills)` Sets the wmActivitySkills value for this CfgActivity.
    `void` | `setWmActivitySkillsNSizeIs(int wmActivitySkillsNSizeIs)` Sets the wmActivitySkillsNSizeIs value for this CfgActivity.
    `void` | `setWmDeletedDateTime(double wmDeletedDateTime)` Sets the wmDeletedDateTime value for this CfgActivity.
    `void` | `setWmMaxSimultUsers(int wmMaxSimultUsers)` Sets the wmMaxSimultUsers value for this CfgActivity.
    `void` | `setWmMinStaffing(int wmMinStaffing)` Sets the wmMinStaffing value for this CfgActivity.
    `void` | `setWmMinStaffingType(int wmMinStaffingType)` Sets the wmMinStaffingType value for this CfgActivity.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgActivity.
    `void` | `setWmOpenHours(CfgActivityHours[] wmOpenHours)` Sets the wmOpenHours value for this CfgActivity.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this CfgActivity.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgActivity.
    `void` | `setWmType(int wmType)` Sets the wmType value for this CfgActivity.
    `void` | `setWmVirtualActivityId(int wmVirtualActivityId)` Sets the wmVirtualActivityId value for this CfgActivity.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmActivityId

          private int wmActivityId

      Activity ID

    - #### wmSiteId

          private int wmSiteId

      Site ID that Activity belongs to

    - #### wmVirtualActivityId

          private int wmVirtualActivityId

      Multi-Site Activity ID (`CfgVirtualActivity`) that Activity belongs to. Can be zero, which means that the Activity does not belong to any Multi-Site Activity.

    - #### wmActivitySetId

          private int wmActivitySetId

      Activity Set ID `CfgActivitySet` that Activity belongs to. Can be zero, which means that the Activity does not belong to any Activity Set.

    - #### wmName

          private java.lang.String wmName

      Name of Activity

    - #### wmShortName

          private java.lang.String wmShortName

      Short Name of Activity

    - #### wmDeletedDateTime

          private double wmDeletedDateTime

    - #### wmType

          private int wmType

      Activity Type (`ECfgActivityType`)

    - #### wmMaxSimultUsers

          private int wmMaxSimultUsers

      Maximum Simultanious Users allowed to work on Activity

    - #### wmMinStaffingType

          private int wmMinStaffingType

      Type of Minimum Staffing `ECfgActivityStaffingType`

    - #### wmMinStaffing

          private int wmMinStaffing

      Minimum Staffing

    - #### wmOpenHours

          private CfgActivityHours[] wmOpenHours

      An array containing Activity Open Hours (CfgActivityHours) for every day of the week, where array index 0 - Mon, 1 - Tue, 2 - Wed, 3 - Thu, 4 - Fri, 5 - Sat, 6 - Sun

    - #### wmActivitySkillsNSizeIs

          private int wmActivitySkillsNSizeIs

      Number of elements in wmActivitySkills array

    - #### wmActivitySkills

          private CfgActivitySkill[] wmActivitySkills

      An array of Activity Skills (`CfgActivitySkill`)

    - #### timestamp

          private long timestamp

      A timestamp value -- marks point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgActivity

          public CfgActivity()

    - #### CfgActivity

          public CfgActivity(int wmActivityId,
                     int wmSiteId,
                     int wmVirtualActivityId,
                     int wmActivitySetId,
                     java.lang.String wmName,
                     java.lang.String wmShortName,
                     double wmDeletedDateTime,
                     int wmType,
                     int wmMaxSimultUsers,
                     int wmMinStaffing,
                     CfgActivityHours[] wmOpenHours,
                     int wmActivitySkillsNSizeIs,
                     CfgActivitySkill[] wmActivitySkills,
                     long timestamp)

  - ### Method Detail

    - #### getWmActivityId

          public int getWmActivityId()

      Gets the wmActivityId value for this CfgActivity.
      Returns:
        wmActivityId

    - #### setWmActivityId

          public void setWmActivityId(int wmActivityId)

      Sets the wmActivityId value for this CfgActivity.
      Parameters:
        `wmActivityId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgActivity.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgActivity.
      Parameters:
        `wmSiteId` -

    - #### getWmVirtualActivityId

          public int getWmVirtualActivityId()

      Gets the wmVirtualActivityId value for this CfgActivity.
      Returns:
        wmVirtualActivityId

    - #### setWmVirtualActivityId

          public void setWmVirtualActivityId(int wmVirtualActivityId)

      Sets the wmVirtualActivityId value for this CfgActivity.
      Parameters:
        `wmVirtualActivityId` -

    - #### getWmActivitySetId

          public int getWmActivitySetId()

      Gets the wmActivitySetId value for this CfgActivity.
      Returns:
        wmActivitySetId

    - #### setWmActivitySetId

          public void setWmActivitySetId(int wmActivitySetId)

      Sets the wmActivitySetId value for this CfgActivity.
      Parameters:
        `wmActivitySetId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgActivity.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgActivity.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this CfgActivity.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this CfgActivity.
      Parameters:
        `wmShortName` -

    - #### getWmDeletedDateTime

          public double getWmDeletedDateTime()

      Gets the wmDeletedDateTime value for this CfgActivity.
      Returns:
        wmDeletedDateTime

    - #### setWmDeletedDateTime

          public void setWmDeletedDateTime(double wmDeletedDateTime)

      Sets the wmDeletedDateTime value for this CfgActivity.
      Parameters:
        `wmDeletedDateTime` -

    - #### getWmType

          public int getWmType()

      Gets the wmType value for this CfgActivity.
      Returns:
        wmType

    - #### setWmType

          public void setWmType(int wmType)

      Sets the wmType value for this CfgActivity.
      Parameters:
        `wmType` -

    - #### getWmMaxSimultUsers

          public int getWmMaxSimultUsers()

      Gets the wmMaxSimultUsers value for this CfgActivity.
      Returns:
        wmMaxSimultUsers

    - #### setWmMaxSimultUsers

          public void setWmMaxSimultUsers(int wmMaxSimultUsers)

      Sets the wmMaxSimultUsers value for this CfgActivity.
      Parameters:
        `wmMaxSimultUsers` -

    - #### getWmMinStaffingType

          public int getWmMinStaffingType()

      Gets the wmMinStaffingType value for this CfgActivity.
      Returns:
        wmMinStaffingType

    - #### setWmMinStaffingType

          public void setWmMinStaffingType(int wmMinStaffingType)

      Sets the wmMinStaffingType value for this CfgActivity.
      Parameters:
        `wmMinStaffingType` -

    - #### getWmMinStaffing

          public int getWmMinStaffing()

      Gets the wmMinStaffing value for this CfgActivity.
      Returns:
        wmMinStaffing

    - #### setWmMinStaffing

          public void setWmMinStaffing(int wmMinStaffing)

      Sets the wmMinStaffing value for this CfgActivity.
      Parameters:
        `wmMinStaffing` -

    - #### getWmOpenHours

          public CfgActivityHours[] getWmOpenHours()

      Gets the wmOpenHours value for this CfgActivity.
      Returns:
        wmOpenHours

    - #### setWmOpenHours

          public void setWmOpenHours(CfgActivityHours[] wmOpenHours)

      Sets the wmOpenHours value for this CfgActivity.
      Parameters:
        `wmOpenHours` -

    - #### getWmActivitySkillsNSizeIs

          public int getWmActivitySkillsNSizeIs()

      Gets the wmActivitySkillsNSizeIs value for this CfgActivity.
      Returns:
        wmActivitySkillsNSizeIs

    - #### setWmActivitySkillsNSizeIs

          public void setWmActivitySkillsNSizeIs(int wmActivitySkillsNSizeIs)

      Sets the wmActivitySkillsNSizeIs value for this CfgActivity.
      Parameters:
        `wmActivitySkillsNSizeIs` -

    - #### getWmActivitySkills

          public CfgActivitySkill[] getWmActivitySkills()

      Gets the wmActivitySkills value for this CfgActivity.
      Returns:
        wmActivitySkills

    - #### setWmActivitySkills

          public void setWmActivitySkills(CfgActivitySkill[] wmActivitySkills)

      Sets the wmActivitySkills value for this CfgActivity.
      Parameters:
        `wmActivitySkills` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgActivity.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgActivity.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.